MediaWiki:Common.css: различия между версиями

Стили обновлены с офф сайта
Метка: отменено
Отмена правки 2911, сделанной Morty (обсуждение)
Метка: отмена
Строка 1: Строка 1:
@font-face {
@font-face {
   font-family: 'Oswald';
   font-family: 'Oswald';
   font-style: normal;
   font-style: normal;
   font-weight: 400;
   font-weight: 400;
   font-display: swap;
   font-display: swap;
   src: url(https://fonts.gstatic.com/s/oswald/v40/TK3_WkUHHAIjg75cFRf3bXL8LICs1_FvsUJiZTaR.woff2) format('woff2');
   src: url(https://fonts.gstatic.com/s/oswald/v40/TK3_WkUHHAIjg75cFRf3bXL8LICs1_FvsUJiZTaR.woff2) format('woff2');
   unicode-range: U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;
   unicode-range: U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;
}
}


/* Reset italic styling set by user agent */
cite,
cite,
dfn {
dfn {
font-style: inherit;
font-style: inherit
}
}


/* Straight quote marks for <q> */
q {
q {
quotes: '"' '"' "'" "'";
quotes: '"' '"' "'" "'"
}
}


/* Avoid collision of blockquote with floating elements by swapping margin and padding */
blockquote {
blockquote {
overflow: hidden;
overflow: hidden;
margin: 1em 0;
margin: 1em 0;
padding: 0 40px;
padding: 0 40px
}
}


/* Consistent size for <small>, <sub> and <sup> */
small {
small {
font-size: 85%;
font-size: 85%
}
}


.mw-body-content sub,
.mw-body-content sub,
.mw-body-content sup,
.mw-body-content sup,
span.reference /* for Parsoid */ {
span.reference {
font-size: 80%;
font-size: 80%
}
}


/* Same spacing for indented and unindented paragraphs on talk pages */
.ns-talk .mw-body-content dd {
.ns-talk .mw-body-content dd {
margin-top: 0.4em;
margin-top: 0.4em;
margin-bottom: 0.4em;
margin-bottom: 0.4em
}
}


/* Main page fixes */
#interwiki-completelist {
#interwiki-completelist {
font-weight: bold;
font-weight: bold
}
}


Строка 52: Строка 46:
font-style: oblique 10deg;
font-style: oblique 10deg;
font-variant-caps: small-caps;
font-variant-caps: small-caps;
text-shadow: #1b1b1f 2px 3px, #A00D 3px 5px;
text-shadow: #1b1b1f 2px 3px, #A00D 3px 5px
}
}


/* Reduce page jumps by hiding collapsed/dismissed content */
.client-js .mw-special-Watchlist #watchlist-message,
.client-js .mw-special-Watchlist #watchlist-message,
.client-js .collapsible:not( .mw-made-collapsible).collapsed > tbody > tr:not(:first-child),
.client-js .collapsible:not(.mw-made-collapsible).collapsed>tbody>tr:not(:first-child),
 
/* Hide charinsert base for those not using the gadget */
#editpage-specialchars {
#editpage-specialchars {
display: none;
display: none
}
}


/* Adds padding above Watchlist announcements where new recentchanges/watchlist filters are enabled */
.mw-rcfilters-enabled .mw-specialpage-summary {
.mw-rcfilters-enabled .mw-specialpage-summary {
margin-top: 1em;
margin-top: 1em
}
}


/* Highlight linked elements (such as clicked references) in blue */
.citation:target {
.citation:target {
background-color: rgba(0, 127, 255, 0.133);
background-color: rgba(0, 127, 255, 0.133)
}
}


/* Styling for citations. Breaks long urls, etc., rather than overflowing box */
.citation {
.citation {
word-wrap: break-word;
word-wrap: break-word
}
}


/* Make the list of references smaller
* Keep in sync with Template:Refbegin/styles.css
* And Template:Reflist/styles.css
*/
ol.references {
ol.references {
font-size: 90%;
font-size: 90%;
margin-bottom: 0.5em;
margin-bottom: 0.5em
}
}


/* Style for horizontal lists (separator following item).
  @source mediawiki.org/wiki/Snippets/Horizontal_lists
  @revision 8 (2016-05-21)
  @author [[User:Edokter]]
*/
.hlist dl,
.hlist dl,
.hlist ol,
.hlist ol,
.hlist ul {
.hlist ul {
margin: 0;
margin: 0;
padding: 0;
padding: 0
}
}


/* Display list items inline */
.hlist dd,
.hlist dd,
.hlist dt,
.hlist dt,
.hlist li {
.hlist li {
margin: 0; /* don't trust the note that says margin doesn't work with inline
margin: 0;
* removing margin: 0 makes dds have margins again */
display: inline
display: inline;
}
}


/* Display nested lists inline */
.hlist.inline,
.hlist.inline,
.hlist.inline dl,
.hlist.inline dl,
Строка 123: Строка 99:
.hlist ul ol,
.hlist ul ol,
.hlist ul ul {
.hlist ul ul {
display: inline;
display: inline
}
}


/* Hide empty list items */
.hlist .mw-empty-li {
.hlist .mw-empty-li {
display: none;
display: none
}
}


/* Generate interpuncts */
.hlist dt:after {
.hlist dt:after {
content: ": ";
content: ":"
}
}


/**
* Note hlist style usage differs in Minerva and is defined in core as well!
* Please check Minerva desktop (and Minerva.css) when changing
* See https://phabricator.wikimedia.org/T213239
*/
.hlist dd:after,
.hlist dd:after,
.hlist li:after {
.hlist li:after {
content: " · ";
content: " · ";
font-weight: bold;
font-weight: bold
}
}


Строка 150: Строка 119:
.hlist dt:last-child:after,
.hlist dt:last-child:after,
.hlist li:last-child:after {
.hlist li:last-child:after {
content: none;
content: none
}
}


/* Add parentheses around nested lists */
.hlist dd dd:first-child:before,
.hlist dd dd:first-child:before,
.hlist dd dt:first-child:before,
.hlist dd dt:first-child:before,
Строка 164: Строка 132:
.hlist li li:first-child:before {
.hlist li li:first-child:before {
content: " (";
content: " (";
font-weight: normal;
font-weight: normal
}
}


Строка 177: Строка 145:
.hlist li li:last-child:after {
.hlist li li:last-child:after {
content: ")";
content: ")";
font-weight: normal;
font-weight: normal
}
}


/* Put ordinals in front of ordered list items */
.hlist ol {
.hlist ol {
counter-reset: listitem;
counter-reset: listitem
}
}


.hlist ol > li {
.hlist ol>li {
counter-increment: listitem;
counter-increment: listitem
}
}


.hlist ol > li:before {
.hlist ol>li:before {
content: " " counter(listitem) "\a0";
content: " " counter(listitem) "\a0"
}
}


.hlist dd ol > li:first-child:before,
.hlist dd ol>li:first-child:before,
.hlist dt ol > li:first-child:before,
.hlist dt ol>li:first-child:before,
.hlist li ol > li:first-child:before {
.hlist li ol>li:first-child:before {
content: " (" counter(listitem) "\a0";
content: " (" counter(listitem) "\a0"
}
}


/* Unbulleted lists */
.plainlist ol,
.plainlist ol,
.plainlist ul {
.plainlist ul {
line-height: inherit;
line-height: inherit;
list-style: none none;
list-style: none none;
margin: 0;
margin: 0
}
}


.plainlist ol li,
.plainlist ol li,
.plainlist ul li {
.plainlist ul li {
margin-bottom: 0;
margin-bottom: 0
}
}


/* Default style for navigation boxes */
.navbox {
.navbox {                     /* Navbox container style */
box-sizing: border-box;
box-sizing: border-box;
border: 1px solid #a2a9b1;
border: 1px solid #a2a9b1;
Строка 221: Строка 186:
text-align: center;
text-align: center;
padding: 1px;
padding: 1px;
margin: 1em auto 0;      /* Prevent preceding content from clinging to navboxes */
margin: 1em auto 0
}
}


.navbox .navbox {
.navbox .navbox {
margin-top: 0;            /* No top margin for nested navboxes */
margin-top: 0
}
}


.navbox + .navbox {
.navbox+.navbox {
margin-top: -1px;        /* Single pixel border between adjacent navboxes */
margin-top: -1px
}
}


.navbox-inner,
.navbox-inner,
.navbox-subgroup {
.navbox-subgroup {
width: 100%;
width: 100%
}
}


Строка 240: Строка 205:
.navbox-title,
.navbox-title,
.navbox-abovebelow {
.navbox-abovebelow {
padding: 0.25em 1em;     /* Title, group and above/below styles */
padding: 0.25em 1em;
line-height: 1.5em;
line-height: 1.5em;
text-align: center;
text-align: center
}
}


th.navbox-group {             /* Group style */
th.navbox-group {
white-space: nowrap;
white-space: nowrap;
/* @noflip */
text-align: right
text-align: right;
}
}


.navbox,
.navbox,
.navbox-subgroup {
.navbox-subgroup {
background-color: #fdfdfd; /* Background color */
background-color: #fdfdfd
}
}


.navbox-list {
.navbox-list {
line-height: 1.5em;
line-height: 1.5em;
border-color: #fdfdfd;    /* Must match background color */
border-color: #fdfdfd
}
}


/* cell spacing for navbox cells */
tr+tr>.navbox-abovebelow,
tr + tr > .navbox-abovebelow,
tr+tr>.navbox-group,
tr + tr > .navbox-group,
tr+tr>.navbox-image,
tr + tr > .navbox-image,
tr+tr>.navbox-list {
tr + tr > .navbox-list {   /* Borders above 2nd, 3rd, etc. rows */
border-top: 2px solid #fdfdfd
border-top: 2px solid #fdfdfd; /* Must match background color */
}
}


.navbox th,
.navbox th,
.navbox-title {
.navbox-title {
background-color: #ccccff;      /* Level 1 color */
background-color: #ccccff
}
}


Строка 277: Строка 240:
th.navbox-group,
th.navbox-group,
.navbox-subgroup .navbox-title {
.navbox-subgroup .navbox-title {
background-color: #ddddff;      /* Level 2 color */
background-color: #ddddff
}
}


.navbox-subgroup .navbox-group,
.navbox-subgroup .navbox-group,
.navbox-subgroup .navbox-abovebelow {
.navbox-subgroup .navbox-abovebelow {
background-color: #e6e6ff;      /* Level 3 color */
background-color: #e6e6ff
}
}


.navbox-even {
.navbox-even {
background-color: #f7f7f7;      /* Even row striping */
background-color: #f7f7f7
}
}


.navbox-odd {
.navbox-odd {
background-color: transparent;  /* Odd row striping */
background-color: transparent
}
}


Строка 299: Строка 262:
.navbox td.hlist ol,
.navbox td.hlist ol,
.navbox td.hlist ul {
.navbox td.hlist ul {
padding: 0.125em 0;      /* Adjust hlist padding in navboxes */
padding: 0.125em 0
}
}


/* Styling for JQuery makeCollapsible, matching that of collapseButton */
.mw-parser-output .mw-collapsible-toggle {
.mw-parser-output .mw-collapsible-toggle {
font-weight: normal;
font-weight: normal;
/* @noflip */
text-align: right;
text-align: right;
padding-right: 0.2em;
padding-right: 0.2em;
padding-left: 0.2em;
padding-left: 0.2em
}
}


.mw-collapsible-leftside-toggle .mw-collapsible-toggle {
.mw-collapsible-leftside-toggle .mw-collapsible-toggle {
/* @noflip */
float: left;
float: left;
/* @noflip */
text-align: left
text-align: left;
}
}


/* Infobox template style */
.infobox {
.infobox {
border: 1px solid #a2a9b1;
border: 1px solid #a2a9b1;
Строка 324: Строка 282:
background-color: #f8f9fa;
background-color: #f8f9fa;
color: black;
color: black;
/* @noflip */
margin: 0.5em 0 0.5em 1em;
margin: 0.5em 0 0.5em 1em;
padding: 0.2em;
padding: 0.2em;
/* @noflip */
float: right;
float: right;
/* @noflip */
clear: right;
clear: right;
font-size: 88%;
font-size: 88%;
line-height: 1.5em;
line-height: 1.5em;
width: 22em;
width: 22em
}
}


Строка 345: Строка 300:
.infobox-image,
.infobox-image,
.infobox-navbar,
.infobox-navbar,
/* Remove element selector when every .infobox thing is using the standard module/templates  */
.infobox th,
.infobox th,
.infobox td {
.infobox td {
vertical-align: top;
vertical-align: top
}
}


.infobox-label,
.infobox-label,
.infobox-data,
.infobox-data,
/* Remove element selector when every .infobox thing is using the standard module/templates  */
.infobox th,
.infobox th,
.infobox td {
.infobox td {
/* @noflip */
text-align: left
text-align: left;
}
}


/* Remove .infobox when element selectors above are removed */
.infobox .infobox-above,
.infobox .infobox-above,
.infobox .infobox-title,
.infobox .infobox-title,
/* Remove element selector when every .infobox thing is using the standard module/templates  */
.infobox caption {
.infobox caption {
font-size: 125%;
font-size: 125%;
font-weight: bold;
font-weight: bold;
text-align: center;
text-align: center
}
}


.infobox-title,
.infobox-title,
/* Remove element selector when every .infobox thing is using the standard module/templates  */
.infobox caption {
.infobox caption {
padding: 0.2em;
padding: 0.2em
}
}


/* Remove .infobox when element selectors above are removed */
.infobox .infobox-header,
.infobox .infobox-header,
.infobox .infobox-subheader,
.infobox .infobox-subheader,
Строка 382: Строка 330:
.infobox .infobox-full-data,
.infobox .infobox-full-data,
.infobox .infobox-below {
.infobox .infobox-below {
text-align: center;
text-align: center
}
}


/* Remove .infobox when element selectors above are removed */
.infobox .infobox-navbar {
.infobox .infobox-navbar {
/* @noflip */
text-align: right
text-align: right;
}
}


/* Normal font styling for wikitable row headers with scope="row" tag */
.wikitable.plainrowheaders th[scope=row] {
.wikitable.plainrowheaders th[scope=row] {
font-weight: normal;
font-weight: normal;
/* @noflip */
text-align: left
text-align: left;
}
}


/* Lists in wikitable data cells are always left-aligned */
.wikitable td ul,
.wikitable td ul,
.wikitable td ol,
.wikitable td ol,
.wikitable td dl {
.wikitable td dl {
/* @noflip */
text-align: left
text-align: left;
}
}


/* Fix for hieroglyphs specificity issue in infoboxes ([[phab:T43869]]) */
table.mw-hiero-table td {
table.mw-hiero-table td {
vertical-align: middle;
vertical-align: middle
}
}


/* Change the external link icon to an Adobe icon for all PDF files */
.mw-parser-output a[href$=".pdf"].external,
.mw-parser-output a[href$=".pdf"].external,
.mw-parser-output a[href*=".pdf?"].external,
.mw-parser-output a[href*=".pdf?"].external,
Строка 418: Строка 358:
.mw-parser-output a[href*=".PDF?"].external,
.mw-parser-output a[href*=".PDF?"].external,
.mw-parser-output a[href*=".PDF#"].external {
.mw-parser-output a[href*=".PDF#"].external {
background: url("//upload.wikimedia.org/wikipedia/commons/2/23/Icons-mini-file_acrobat.gif") no-repeat right;
background: url(//upload.wikimedia.org/wikipedia/commons/2/23/Icons-mini-file_acrobat.gif) no-repeat right;
/* @noflip */
padding-right: 18px
padding-right: 18px;
}
}


/* Messagebox templates */
.messagebox {
.messagebox {
border: 1px solid #a2a9b1;
border: 1px solid #a2a9b1;
Строка 429: Строка 367:
width: 80%;
width: 80%;
margin: 0 auto 1em auto;
margin: 0 auto 1em auto;
padding: .2em;
padding: .2em
}
}


Строка 435: Строка 373:
border: 1px solid #c0b8cc;
border: 1px solid #c0b8cc;
background-color: #f0e5ff;
background-color: #f0e5ff;
text-align: center;
text-align: center
}
}


Строка 441: Строка 379:
border: 1px solid #9f9fff;
border: 1px solid #9f9fff;
background-color: #efefff;
background-color: #efefff;
text-align: center;
text-align: center
}
}


Строка 447: Строка 385:
border: 1px solid #c0c090;
border: 1px solid #c0c090;
background-color: #f8eaba;
background-color: #f8eaba;
margin: 4px auto;
margin: 4px auto
}
}


/* For old WikiProject banners inside banner shells. */
.mbox-inside .standard-talk {
.mbox-inside .standard-talk {
border: 1px solid #c0c090;
border: 1px solid #c0c090;
Строка 456: Строка 393:
width: 100%;
width: 100%;
margin: 2px 0;
margin: 2px 0;
padding: 2px;
padding: 2px
}
}


Строка 462: Строка 399:
width: 238px;
width: 238px;
font-size: 85%;
font-size: 85%;
/* @noflip */
float: right;
float: right;
clear: both;
clear: both;
/* @noflip */
margin: 0 0 1em 1em;
margin: 0 0 1em 1em;
line-height: 1.25em;
line-height: 1.25em
}
}


Строка 473: Строка 408:
width: 238px;
width: 238px;
font-size: 85%;
font-size: 85%;
/* @noflip */
float: right;
float: right;
clear: both;
clear: both;
/* @noflip */
margin: 0 0 1em 1em;
margin: 0 0 1em 1em;
line-height: 1.25em;
line-height: 1.25em;
background-color: #f8eaba;
background-color: #f8eaba
}
}


/* Cell sizes for ambox/tmbox/imbox/cmbox/ombox/fmbox/dmbox message boxes */
th.mbox-text,
th.mbox-text, td.mbox-text {   /* The message body cell(s) */
td.mbox-text {
border: none;
border: none;
/* @noflip */
padding: 0.25em 0.9em;
padding: 0.25em 0.9em;     /* 0.9em left/right */
width: 100%
width: 100%;              /* Make all mboxes the same width regardless of text length */
}
}


td.mbox-image {               /* The left image cell */
td.mbox-image {
border: none;
border: none;
/* @noflip */
padding: 2px 0 2px 0.9em;
padding: 2px 0 2px 0.9em; /* 0.9em left, 0px right */
text-align: center
text-align: center;
}
}


td.mbox-imageright {           /* The right image cell */
td.mbox-imageright {
border: none;
border: none;
/* @noflip */
padding: 2px 0.9em 2px 0;
padding: 2px 0.9em 2px 0; /* 0px left, 0.9em right */
text-align: center
text-align: center;
}
}


td.mbox-empty-cell {           /* An empty narrow cell */
td.mbox-empty-cell {
border: none;
border: none;
padding: 0;
padding: 0;
width: 1px;
width: 1px
}
}


/* Article message box styles */
table.ambox {
table.ambox {
margin: 0 10%;                 /* 10% = Will not overlap with other elements */
margin: 0 10%;
border: 1px solid #a2a9b1;
border: 1px solid #a2a9b1;
/* @noflip */
border-left: 10px solid #36c;
border-left: 10px solid #36c; /* Default "notice" blue */
background-color: #fbfbfb;
background-color: #fbfbfb;
box-sizing: border-box;
box-sizing: border-box
}
}


/* Single border between stacked boxes. */
table.ambox+table.ambox,
table.ambox + table.ambox,
table.ambox+.mw-empty-elt+table.ambox {
table.ambox + .mw-empty-elt + table.ambox {
margin-top: -1px
margin-top: -1px;
}
}


.ambox th.mbox-text,
.ambox th.mbox-text,
.ambox td.mbox-text {           /* The message body cell(s) */
.ambox td.mbox-text {
padding: 0.25em 0.5em;      /* 0.5em left/right */
padding: 0.25em 0.5em
}
}


.ambox td.mbox-image {           /* The left image cell */
.ambox td.mbox-image {
/* @noflip */
padding: 2px 0 2px 0.5em
padding: 2px 0 2px 0.5em;    /* 0.5em left, 0px right */
}
}


.ambox td.mbox-imageright {     /* The right image cell */
.ambox td.mbox-imageright {
/* @noflip */
padding: 2px 0.5em 2px 0
padding: 2px 0.5em 2px 0;    /* 0px left, 0.5em right */
}
}


table.ambox-notice {
table.ambox-notice {
/* @noflip */
border-left: 10px solid #36c
border-left: 10px solid #36c;      /* Blue */
}
}


table.ambox-speedy {
table.ambox-speedy {
/* @noflip */
border-left: 10px solid #b32424;
border-left: 10px solid #b32424;   /* Red */
background-color: #fee7e6
background-color: #fee7e6;          /* Pink */
}
}


table.ambox-delete {
table.ambox-delete {
/* @noflip */
border-left: 10px solid #b32424
border-left: 10px solid #b32424;    /* Red */
}
}


table.ambox-content {
table.ambox-content {
/* @noflip */
border-left: 10px solid #f28500
border-left: 10px solid #f28500;    /* Orange */
}
}


table.ambox-style {
table.ambox-style {
/* @noflip */
border-left: 10px solid #fc3
border-left: 10px solid #fc3;      /* Yellow */
}
}


table.ambox-move {
table.ambox-move {
/* @noflip */
border-left: 10px solid #9932cc
border-left: 10px solid #9932cc;    /* Purple */
}
}


table.ambox-protection {
table.ambox-protection {
/* @noflip */
border-left: 10px solid #a2a9b1
border-left: 10px solid #a2a9b1;    /* Gray-gold */
}
}


/* Image message box styles */
table.imbox {
table.imbox {
margin: 4px 10%;
margin: 4px 10%;
border-collapse: collapse;
border-collapse: collapse;
border: 3px solid #36c;   /* Default "notice" blue */
border: 3px solid #36c;
background-color: #fbfbfb;
background-color: #fbfbfb;
box-sizing: border-box;
box-sizing: border-box
}
}


.imbox .mbox-text .imbox { /* For imboxes inside imbox-text cells. */
.imbox .mbox-text .imbox {
margin: 0 -0.5em;       /* 0.9 - 0.5 = 0.4em left/right.        */
margin: 0 -0.5em;
display: block;        /* Fix for webkit to force 100% width.  */
display: block
}
}


.mbox-inside .imbox {       /* For imboxes inside other templates.  */
.mbox-inside .imbox {
margin: 4px;
margin: 4px
}
}


table.imbox-notice {
table.imbox-notice {
border: 3px solid #36c;      /* Blue */
border: 3px solid #36c
}
}


table.imbox-speedy {
table.imbox-speedy {
border: 3px solid #b32424;   /* Red */
border: 3px solid #b32424;
background-color: #fee7e6;    /* Pink */
background-color: #fee7e6
}
}


table.imbox-delete {
table.imbox-delete {
border: 3px solid #b32424;    /* Red */
border: 3px solid #b32424
}
}


table.imbox-content {
table.imbox-content {
border: 3px solid #f28500;    /* Orange */
border: 3px solid #f28500
}
}


table.imbox-style {
table.imbox-style {
border: 3px solid #fc3;      /* Yellow */
border: 3px solid #fc3
}
}


table.imbox-move {
table.imbox-move {
border: 3px solid #9932cc;    /* Purple */
border: 3px solid #9932cc
}
}


table.imbox-protection {
table.imbox-protection {
border: 3px solid #a2a9b1;    /* Gray-gold */
border: 3px solid #a2a9b1
}
}


table.imbox-license {
table.imbox-license {
border: 3px solid #88a;       /* Dark gray */
border: 3px solid #88a;
background-color: #f7f8ff;    /* Light gray */
background-color: #f7f8ff
}
}


table.imbox-featured {
table.imbox-featured {
border: 3px solid #cba135;    /* Brown-gold */
border: 3px solid #cba135
}
}


/* Category message box styles */
table.cmbox {
table.cmbox {
margin: 3px 10%;
margin: 3px 10%;
border-collapse: collapse;
border-collapse: collapse;
border: 1px solid #a2a9b1;
border: 1px solid #a2a9b1;
background-color: #dfe8ff;   /* Default "notice" blue */
background-color: #dfe8ff;
box-sizing: border-box;
box-sizing: border-box
}
}


table.cmbox-notice {
table.cmbox-notice {
background-color: #d8e8ff;    /* Blue */
background-color: #d8e8ff
}
}


Строка 649: Строка 565:
margin-top: 4px;
margin-top: 4px;
margin-bottom: 4px;
margin-bottom: 4px;
border: 4px solid #b32424;   /* Red */
border: 4px solid #b32424;
background-color: #ffdbdb;    /* Pink */
background-color: #ffdbdb
}
}


table.cmbox-delete {
table.cmbox-delete {
background-color: #ffdbdb;    /* Pink */
background-color: #ffdbdb
}
}


table.cmbox-content {
table.cmbox-content {
background-color: #ffe7ce;    /* Orange */
background-color: #ffe7ce
}
}


table.cmbox-style {
table.cmbox-style {
background-color: #fff9db;    /* Yellow */
background-color: #fff9db
}
}


table.cmbox-move {
table.cmbox-move {
background-color: #e4d8ff;    /* Purple */
background-color: #e4d8ff
}
}


table.cmbox-protection {
table.cmbox-protection {
background-color: #efefe1;    /* Gray-gold */
background-color: #efefe1
}
}


/* Other pages message box styles */
table.ombox {
table.ombox {
margin: 4px 10%;
margin: 4px 10%;
border-collapse: collapse;
border-collapse: collapse;
border: 1px solid #a2a9b1;   /* Default "notice" gray */
border: 1px solid #a2a9b1;
background-color: #f8f9fa;
background-color: #f8f9fa;
box-sizing: border-box;
box-sizing: border-box
}
}


table.ombox-notice {
table.ombox-notice {
border: 1px solid #a2a9b1;    /* Gray */
border: 1px solid #a2a9b1
}
}


table.ombox-speedy {
table.ombox-speedy {
border: 2px solid #b32424;   /* Red */
border: 2px solid #b32424;
background-color: #fee7e6;    /* Pink */
background-color: #fee7e6
}
}


table.ombox-delete {
table.ombox-delete {
border: 2px solid #b32424;    /* Red */
border: 2px solid #b32424
}
}


table.ombox-content {
table.ombox-content {
border: 1px solid #f28500;    /* Orange */
border: 1px solid #f28500
}
}


table.ombox-style {
table.ombox-style {
border: 1px solid #fc3;      /* Yellow */
border: 1px solid #fc3
}
}


table.ombox-move {
table.ombox-move {
border: 1px solid #9932cc;    /* Purple */
border: 1px solid #9932cc
}
}


table.ombox-protection {
table.ombox-protection {
border: 2px solid #a2a9b1;    /* Gray-gold */
border: 2px solid #a2a9b1
}
}


/* Talk page message box styles */
table.tmbox {
table.tmbox {
margin: 4px 10%;
margin: 4px 10%;
border-collapse: collapse;
border-collapse: collapse;
border: 1px solid #c0c090;   /* Default "notice" gray-brown */
border: 1px solid #c0c090;
background-color: #f8eaba;
background-color: #f8eaba;
min-width: 80%;
min-width: 80%;
box-sizing: border-box;
box-sizing: border-box
}
}


.tmbox.mbox-small {
.tmbox.mbox-small {
min-width: 0;                /* reset the min-width of tmbox above        */
min-width: 0
}
}


.mediawiki .mbox-inside .tmbox { /* For tmboxes inside other templates. The "mediawiki" class ensures that */
.mediawiki .mbox-inside .tmbox {
margin: 2px 0;               /* this declaration overrides other styles (including mbox-small above)  */
margin: 2px 0;
width: 100%;                /* For Safari and Opera */
width: 100%
}
}


.mbox-inside .tmbox.mbox-small { /* "small" tmboxes should not be small when  */
.mbox-inside .tmbox.mbox-small {
line-height: 1.5em;         /* also "nested", so reset styles that are  */
line-height: 1.5em;
font-size: 100%;            /* set in "mbox-small" above.                */
font-size: 100%
}
}


table.tmbox-speedy {
table.tmbox-speedy {
border: 2px solid #b32424;   /* Red */
border: 2px solid #b32424;
background-color: #fee7e6;    /* Pink */
background-color: #fee7e6
}
}


table.tmbox-delete {
table.tmbox-delete {
border: 2px solid #b32424;    /* Red */
border: 2px solid #b32424
}
}


table.tmbox-content {
table.tmbox-content {
border: 2px solid #f28500;    /* Orange */
border: 2px solid #f28500
}
}


table.tmbox-style {
table.tmbox-style {
border: 2px solid #fc3;      /* Yellow */
border: 2px solid #fc3
}
}


table.tmbox-move {
table.tmbox-move {
border: 2px solid #9932cc;    /* Purple */
border: 2px solid #9932cc
}
}


table.tmbox-protection,
table.tmbox-protection,
table.tmbox-notice {
table.tmbox-notice {
border: 1px solid #c0c090;    /* Gray-brown */
border: 1px solid #c0c090
}
}


/* Footer and header message box styles */
table.fmbox {
table.fmbox {
clear: both;
clear: both;
Строка 767: Строка 680:
width: 100%;
width: 100%;
border: 1px solid #a2a9b1;
border: 1px solid #a2a9b1;
background-color: #f8f9fa;     /* Default "system" gray */
background-color: #f8f9fa;
box-sizing: border-box;
box-sizing: border-box
}
}


table.fmbox-system {
table.fmbox-system {
background-color: #191970;
background-color: #191970
}
}


table.fmbox-warning {
table.fmbox-warning {
border: 1px solid #bb7070; /* Dark pink */
border: 1px solid #bb7070;
background-color: #ffdbdb;  /* Pink */
background-color: #ffdbdb
}
}


table.fmbox-editnotice {
table.fmbox-editnotice {
background-color: transparent;
background-color: transparent
}
}


/* Div based "warning" style fmbox messages. */
div.mw-warning-with-logexcerpt,
div.mw-warning-with-logexcerpt,
div.mw-lag-warn-high,
div.mw-lag-warn-high,
Строка 795: Строка 707:
background-color: #ffdbdb;
background-color: #ffdbdb;
padding: 0.25em 0.9em;
padding: 0.25em 0.9em;
box-sizing: border-box;
box-sizing: border-box
}
}


/* Use default color for partial block fmbox banner per [[Special:PermaLink/1028105567#pblock-style]] */
.mw-contributions-blocked-notice-partial .mw-warning-with-logexcerpt {
.mw-contributions-blocked-notice-partial .mw-warning-with-logexcerpt {
border-color: #fc3;
border-color: #fc3;
background-color: #fef6e7;
background-color: #fef6e7
}
}


/* These mbox-small classes must be placed after all other
html body.mediawiki .mbox-small {
  ambox/tmbox/ombox etc classes. "html body.mediawiki" is so
  they override "table.ambox + table.ambox" above. */
html body.mediawiki .mbox-small {   /* For the "small=yes" option. */
/* @noflip */
clear: right;
clear: right;
/* @noflip */
float: right;
float: right;
/* @noflip */
margin: 4px 0 4px 1em;
margin: 4px 0 4px 1em;
box-sizing: border-box;
box-sizing: border-box;
width: 238px;
width: 238px;
font-size: 88%;
font-size: 88%;
line-height: 1.25em;
line-height: 1.25em
}
}


html body.mediawiki .mbox-small-left {   /* For the "small=left" option. */
html body.mediawiki .mbox-small-left {
/* @noflip */
margin: 4px 1em 4px 0;
margin: 4px 1em 4px 0;
box-sizing: border-box;
box-sizing: border-box;
Строка 828: Строка 732:
border-collapse: collapse;
border-collapse: collapse;
font-size: 88%;
font-size: 88%;
line-height: 1.25em;
line-height: 1.25em
}
}


/* Style for compact ambox */
/* Hide the images */
.compact-ambox table .mbox-image,
.compact-ambox table .mbox-image,
.compact-ambox table .mbox-imageright,
.compact-ambox table .mbox-imageright,
.compact-ambox table .mbox-empty-cell {
.compact-ambox table .mbox-empty-cell {
display: none;
display: none
}
}


/* Remove borders, backgrounds, padding, etc. */
.compact-ambox table.ambox {
.compact-ambox table.ambox {
border: none;
border: none;
Строка 847: Строка 748:
padding: 0 !important;
padding: 0 !important;
width: auto;
width: auto;
display: block;
display: block
}
}


Строка 853: Строка 754:
font-size: 100%;
font-size: 100%;
width: auto;
width: auto;
margin: 0;
margin: 0
}
}


/* Style the text cell as a list item and remove its padding */
.compact-ambox table .mbox-text {
.compact-ambox table .mbox-text {
padding: 0 !important;
padding: 0 !important;
margin: 0 !important;
margin: 0 !important
}
}


Строка 866: Строка 766:
line-height: 1.5em;
line-height: 1.5em;
list-style-type: square;
list-style-type: square;
list-style-image: url(/w/skins/MonoBook/resources/images/bullet.svg);
list-style-image: url(/w/skins/MonoBook/resources/images/bullet.svg)
}
}


/* Allow for hiding text in compact form */
.compact-ambox .hide-when-compact {
.compact-ambox .hide-when-compact {
display: none;
display: none
}
}


/* Remove underlines from certain links */
.nounderlines a,
.nounderlines a,
.IPA a:link,
.IPA a:link,
.IPA a:visited {
.IPA a:visited {
text-decoration: none !important;
text-decoration: none !important
}
}


/* Prevent line breaks in silly places where desired (nowrap)
  and links when we don't want them to (nowraplinks a) */
.nowrap,
.nowrap,
.nowraplinks a {
.nowraplinks a {
white-space: nowrap;
white-space: nowrap
}
}


/* But allow wrapping where desired: */
.wrap,
.wrap,
.wraplinks a {
.wraplinks a {
white-space: normal;
white-space: normal
}
}


/* Increase the height of the image upload box */
#wpUploadDescription {
#wpUploadDescription {
height: 13em;
height: 13em
}
}


/* Minimum thumb width */
.thumbinner {
.thumbinner {
min-width: 100px;
min-width: 100px;
background: #303037;
border: solid #37373e
}
.thumbinner .thumbimage, .thumbborder {
border: solid 1px #37373e
}
}


/* Prevent floating boxes from overlapping any category listings,
  file histories, edit previews, and edit [Show changes] views. */
#mw-subcategories,
#mw-subcategories,
#mw-pages,
#mw-pages,
Строка 912: Строка 809:
#wikiPreview,
#wikiPreview,
#wikiDiff {
#wikiDiff {
clear: both;
clear: both
}
}


/* Selectively hide headers in WikiProject banners */
/* TemplateStyles */
.wpb .wpb-header {
.wpb .wpb-header {
display: none;
display: none
}
}


.wpbs-inner .wpb .wpb-header {
.wpbs-inner .wpb .wpb-header {
display: table-row;
display: table-row
}
}


.wpbs-inner .wpb-outside {
.wpbs-inner .wpb-outside {
display: none;            /* hide things that should only display outside shells */
display: none
}
}


/* Styling for Abuse Filter tags */
.mw-tag-markers {
.mw-tag-markers {
font-style: italic;
font-style: italic;
font-size: 90%;
font-size: 90%
}
}


/* Hide stuff meant for accounts with special permissions. Made visible again in
  [[MediaWiki:Group-checkuser.css]], [[MediaWiki:Group-sysop.css]], [[MediaWiki:Group-abusefilter.css]],
  [[MediaWiki:Group-abusefilter-helper.css]], [[MediaWiki:Group-patroller.css]],
  [[MediaWiki:Group-templateeditor.css]], [[MediaWiki:Group-extendedmover.css]],
  [[MediaWiki:Group-extendedconfirmed.css]], and [[Mediawiki:Group-autoconfirmed.css]]. */
.checkuser-show,
.checkuser-show,
.sysop-show,
.sysop-show,
Строка 950: Строка 839:
.autoconfirmed-show,
.autoconfirmed-show,
.user-show {
.user-show {
display: none;
display: none
}
}


/* Hide the redlink generated by {{Editnotice}},
  this overrides the ".sysop-show { display: none; }" above that applies
  to the same link as well. See [[phab:T45013]]
  Hide the images in editnotices to keep them readable in VE view.
  Long term, editnotices should become a core feature so that they can be designed responsive. */
.ve-ui-mwNoticesPopupTool-item .editnotice-redlink,
.ve-ui-mwNoticesPopupTool-item .editnotice-redlink,
.ve-ui-mwNoticesPopupTool-item .mbox-image,
.ve-ui-mwNoticesPopupTool-item .mbox-image,
.ve-ui-mwNoticesPopupTool-item .mbox-imageright {
.ve-ui-mwNoticesPopupTool-item .mbox-imageright {
display: none !important;
display: none !important
}
}


/* Remove bullets when there are multiple edit page warnings */
ul.permissions-errors>li {
ul.permissions-errors > li {
list-style: none none
list-style: none none;
}
}


ul.permissions-errors {
ul.permissions-errors {
margin: 0;
margin: 0
}
}


/* texhtml class for inline math (based on generic times-serif class) */
span.texhtml {
span.texhtml {
font-family: "Nimbus Roman No9 L", "Times New Roman", Times, serif;
font-family: "Nimbus Roman No9 L", "Times New Roman", Times, serif;
Строка 980: Строка 861:
line-height: 1;
line-height: 1;
white-space: nowrap;
white-space: nowrap;
/* Force tabular and lining display for texhtml */
-moz-font-feature-settings: "lnum", "tnum", "kern" 0;
-moz-font-feature-settings: "lnum", "tnum", "kern" 0;
-webkit-font-feature-settings: "lnum", "tnum", "kern" 0;
-webkit-font-feature-settings: "lnum", "tnum", "kern" 0;
font-feature-settings: "lnum", "tnum", "kern" 0;
font-feature-settings: "lnum", "tnum", "kern" 0;
font-variant-numeric: lining-nums tabular-nums;
font-variant-numeric: lining-nums tabular-nums;
font-kerning: none;
font-kerning: none
}
}


span.texhtml span.texhtml {
span.texhtml span.texhtml {
font-size: 100%;
font-size: 100%
}
}


span.mwe-math-mathml-inline {
span.mwe-math-mathml-inline {
font-size: 118%;
font-size: 118%
}
}


/* Make <math display="block"> be left aligned with one space indent for
* compatibility with style conventions
*/
.mwe-math-fallback-image-display,
.mwe-math-fallback-image-display,
.mwe-math-mathml-display {
.mwe-math-mathml-display {
margin-left: 1.6em !important;
margin-left: 1.6em !important;
margin-top: 0.6em;
margin-top: 0.6em;
margin-bottom: 0.6em;
margin-bottom: 0.6em
}
}


.mwe-math-mathml-display math {
.mwe-math-mathml-display math {
display: inline;
display: inline
}
}


/* Work-around for [[phab:T25965]] / [[phab:T100106]] (Kaltura advertisement) */
.k-player .k-attribution {
.k-player .k-attribution {
visibility: hidden;
visibility: hidden
}
}


/* Move 'play' button of video player to bottom left corner */
.PopUpMediaTransform a .play-btn-large {
.PopUpMediaTransform a .play-btn-large {
margin: 0;
margin: 0;
Строка 1021: Строка 896:
right: auto;
right: auto;
bottom: 0;
bottom: 0;
left: 0;
left: 0
}
}


@media screen {
@media screen {
/* Gallery styles background changes are restricted to screen view.
  In printing we should avoid applying backgrounds. */
/* The backgrounds for galleries. */
#content .gallerybox div.thumb {
#content .gallerybox div.thumb {
/* Light gray padding */
background-color: #f8f9fa
background-color: #f8f9fa;
}
}
/* Put a chequered background behind images, only visible if they have transparency.
  '.filehistory a img' and '#file img:hover' are handled by MediaWiki core (as of 1.19) */
.gallerybox .thumb img {
.gallerybox .thumb img {
background: #fff url(//upload.wikimedia.org/wikipedia/commons/5/5d/Checker-16x16.png) repeat;
background: #fff url(//upload.wikimedia.org/wikipedia/commons/5/5d/Checker-16x16.png) repeat
}
}
/* But not on articles, user pages, portals or with opt-out. */
.ns-0 .gallerybox .thumb img,
.ns-0 .gallerybox .thumb img,
.ns-2 .gallerybox .thumb img,
.ns-2 .gallerybox .thumb img,
.ns-100 .gallerybox .thumb img,
.ns-100 .gallerybox .thumb img,
.nochecker .gallerybox .thumb img {
.nochecker .gallerybox .thumb img {
background-image: none;
background-image: none
}
 
/* Display "From Wikipedia, the free encyclopedia" in skins that support it,
  do not apply to print mode */
/*
#siteSub {
display: block;
}
}
*/
}
}


/* Hide FlaggedRevs notice UI when there are no pending changes */
.flaggedrevs_draft_synced,
.flaggedrevs_draft_synced,
.flaggedrevs_stable_synced,
.flaggedrevs_stable_synced,
/* "Temporary" to remove links in sidebar T255381 */
#t-upload,
#t-upload,
/* Hide broken download box on Special:Book pending T285400 */
.mw-special-Book #coll-downloadbox {
.mw-special-Book #coll-downloadbox {
display: none;
display: none
}
}


/* Fix horizontal scrolling of long edit summaries T158725 */
span.comment {
span.comment {
overflow-wrap: break-word;
overflow-wrap: break-word
}
}


Строка 1072: Строка 928:
background: #1b1b1f;
background: #1b1b1f;
color: lightgrey;
color: lightgrey;
border: #1b1b1f;
border: #1b1b1f
}
}


.mediawiki, .mw-page-container {
.mediawiki,
.mw-page-container {
background: #1b1b1f;
background: #1b1b1f;
color: lightgrey;
color: lightgrey;
border: #1b1b1f;
border: #1b1b1f
}
}


Строка 1084: Строка 941:
background: #212126;
background: #212126;
color: lightgrey;
color: lightgrey;
border: black;
border: black
}
}


Строка 1090: Строка 947:
background: #1b1b1f;
background: #1b1b1f;
color: lightgrey;
color: lightgrey;
border: #1b1b1f;
border: #1b1b1f
}
}


#mw-content-container, #mw-header-container, #mw-header-nav-hack, #mw-content-wrapper, #mw-content, #p-logo {
#mw-content-container,
#mw-header-container,
#mw-content-wrapper,
#mw-content,
#p-logo {
background: #1b1b1f;
background: #1b1b1f;
color: lightgrey;
color: lightgrey;
border: #1b1b1f;
border: #1b1b1f
}
}


#mw-header-nav-hack {
.mw-code {
background: #212126;
background: #212126;
color: lightgrey;
color: lightgrey
border: #212126;
}
}


.mw-code {
footer,
background: #212126;
#footer-info-lastmod,
color: lightgrey;
#footer-info-copyright {
color: lightgrey
}
}


footer,#footer-info-lastmod,#footer-info-copyright {
p,
color: lightgrey;
h1,
h2,
h3,
h4,
h5,
h6,
li {
color: lightgrey
}
}


p,h1,h2,h3,h4,h5,h6,li {
a,
color: lightgrey;
.vector-menu-portal .vector-menu-content li a,
.vector-menu-tabs li a,
body.skin--responsive #p-cactions li a {
color: #cccccc
}
}


a, .vector-menu-portal .vector-menu-content li a, .vector-menu-tabs li a, body.skin--responsive #p-cactions li a {
a:visited,
color: lightblue;
.vector-menu-portal .vector-menu-content li a:visited,
.vector-menu-tabs li a:visited,
body.skin--responsive #p-cactions li a:visited {
color: #cccccc
}
}


a:visited, .vector-menu-portal .vector-menu-content li a:visited, .vector-menu-tabs li a:visited, body.skin--responsive #p-cactions li a:visited {
a:hover,
color: #007FFF;
a:visited:hover {
    color: white;
}
}


body.skin--responsive #p-cactions li a {
body.skin--responsive #p-cactions li a {
background: #27272e;
background: #27272e
}
}


.mw-prefs-buttons {
.mw-prefs-buttons {
background: #27272e;
background: #27272e
}
}


a.extiw:visited, a.external:visited, .mw-parser-output a.extiw:visited, .mw-parser-output a.external:visited, body.skin--responsive #p-cactions li a.external:visited {
a.extiw:visited,
color: #8a2be2;
a.external:visited,
.mw-parser-output a.extiw:visited,
.mw-parser-output a.external:visited,
body.skin--responsive #p-cactions li a.external:visited {
color: #8a2be2
}
}


.vector-menu-tabs .selected a, .vector-menu-tabs .selected a:visited, body.skin--responsive #p-cactions li.selected a {
.vector-menu-tabs .selected a,
.vector-menu-tabs .selected a:visited,
body.skin--responsive #p-cactions li.selected a {
color: lightgrey;
color: lightgrey;
font-weight: bold;
font-weight: bold
}
}


body.skin--responsive #p-cactions li.selected a {
body.skin--responsive #p-cactions li.selected a {
background: #27272e;
background: #27272e
}
}


.vector-menu-tabs li {
.vector-menu-tabs li {
background: #212126;
background: #212126
}
 
.tools-inline li a {
filter: invert(100%);
}
 
.tools-inline span {
filter: invert(100%);
color: lightgrey;
}
 
#personal h2, #site-tools h2, #site-navigation h2, #searchButton {
filter: invert(100%);
}
 
#personal h2 span {
filter: invert(100%);
}
}


#mw-site-navigation .sidebar-chunk, #mw-site-navigation .sidebar-chunk, #mw-related-navigation .sidebar-chunk, body.skin--responsive .portlet, body.skin--responsive .pBody {
#mw-site-navigation .sidebar-chunk,
#mw-site-navigation .sidebar-chunk,
#mw-related-navigation .sidebar-chunk,
body.skin--responsive .portlet,
body.skin--responsive .pBody {
background: #212126;
background: #212126;
color: lightgrey;
color: lightgrey;
border: #1b1b1f;
border-color: #1b1b1f
}
}


#p-logo-text a {
#p-logo-text a {
color: lightgrey;
color: lightgrey
}
}


#ca-nstab-mediawiki.a {
#ca-nstab-mediawiki.a {
color: lightgrey;
color: lightgrey
}
}


#mw-changeslist-links {
#mw-changeslist-links {
background: #212126;
background: #212126;
color: lightgrey;
color: lightgrey
}
}


Строка 1191: Строка 1058:
background: #27272e;
background: #27272e;
border: 1px solid #37373e;
border: 1px solid #37373e;
color: lightgrey;
color: lightgrey
}
}


#searchInput {
#searchInput {
color: white;
color: white
}
 
#pt-createaccount {
visibility: hidden;
}
}


.vector-user-links .vector-user-menu-more .vector-menu-content-list li a, #personal .dropdown {
.vector-user-links .vector-user-menu-more .vector-menu-content-list li a,
#personal .dropdown {
background: #27272e;
background: #27272e;
border: 1px solid #37373e;
border: 1px solid #37373e;
color: lightgrey;
color: lightgrey
}
}


body.skin--responsive #p-cactions li.selected {
body.skin--responsive #p-cactions li.selected {
border: #37373e;
border: #37373e
}
}


.vector-menu-tabs .selected {
.vector-menu-tabs .selected {
background: #1b1b1f;
background: #1b1b1f
}
}


#pagehistory li.selected {
#pagehistory li.selected {
background: #1B4D3E;
background: #1B4D3E;
font-weight: bold;
font-weight: bold
}
}


div.mw-warning-with-logexcerpt, div.mw-lag-warn-high, div.mw-cascadeprotectedwarning, div#mw-protect-cascadeon, div.titleblacklist-warning {
div.mw-warning-with-logexcerpt,
div.mw-lag-warn-high,
div.mw-cascadeprotectedwarning,
div#mw-protect-cascadeon,
div.titleblacklist-warning {
background: #7C0A02;
background: #7C0A02;
border: 1px solid #bb7070;
border: 1px solid #bb7070
}
}


Строка 1229: Строка 1097:
background: #303037;
background: #303037;
border: 1px solid #37373e;
border: 1px solid #37373e;
color: white;
color: white
}
}


Строка 1235: Строка 1103:
background: #303037;
background: #303037;
border: 1px solid #37373e;
border: 1px solid #37373e;
color: white;
color: white
}
}


.mw-content-ltr .tocnumber {
.mw-content-ltr .tocnumber {
color: grey;
color: grey
}
}


.wikitable > tr > th, .wikitable > tr > td, .wikitable > * > tr > th, .wikitable > * > tr > td {
.wikitable>tr>th,
border: 1px solid #37373e;
.wikitable>tr>td,
.wikitable>*>tr>th,
.wikitable>*>tr>td {
border: 1px solid #37373e
}
}


.wikitable > * > tr > th {
.wikitable>*>tr>th {
background: #27272e;
background: #27272e;
border: 1px solid #37373e;
border: 1px solid #37373e;
color: white;
color: white
}
}


.quickbox {
.quickbox {
border: 1px solid #303038;
border: 1px solid #303038;
background: #27272e;
background: #27272e
}
}


Строка 1260: Строка 1131:
border-bottom: 1px solid #303038;
border-bottom: 1px solid #303038;
background: #1b1b1f;
background: #1b1b1f;
text-align: center;
text-align: center
}
}


.thumbinner, .thumbinner .thumbimage {
background: #27272e;
border: 1px solid #37373e;
color: white;
}
table.ombox tbody {
  background: #27272e;
  border: 1px solid #37373e;
  color: white;
}
/* OOUI PAIN */
/* Recent Changes */
.mw-rcfilters-ui-filterTagMultiselectWidget.oo-ui-widget-enabled .oo-ui-tagMultiselectWidget-handle,
.mw-rcfilters-ui-filterTagMultiselectWidget.oo-ui-widget-enabled .oo-ui-tagMultiselectWidget-handle,
.mw-rcfilters-ui-changesListWrapperWidget .mw-changeslist-legend  
.mw-rcfilters-ui-changesListWrapperWidget .mw-changeslist-legend {
{
background: #27272e;
background: #27272e;
border: 1px solid #303038;
border: 1px solid #303038;
color: white;
color: white
}
}


/* Generic OOUI elements */
.oo-ui-buttonElement-framed.oo-ui-widget-enabled>.oo-ui-buttonElement-button {
.oo-ui-buttonElement-framed.oo-ui-widget-enabled > .oo-ui-buttonElement-button {
background: #27272e;
background: #27272e;
border: 1px solid #303038;
border: 1px solid #303038;
color: white;
color: white
}
}


Строка 1295: Строка 1150:
background: #303037;
background: #303037;
border: 1px solid #37373e;
border: 1px solid #37373e;
color: white;
color: white
}
}


/* Editor */
.mw-editform #wpTextbox1,
.mw-editform #wpTextbox1, textarea {
textarea {
background: #303037;
background: #303037;
border: 1px solid #37373e;
border: 1px solid #37373e;
color: white;
color: white
}
}
.wikiEditor-ui-toolbar {
.wikiEditor-ui-toolbar {
background: #27272e;
background: #27272e;
color: white;
color: white
}
}
.wikiEditor-ui-toolbar .group {
.wikiEditor-ui-toolbar .group {
border: 1px solid #37373e;
border: 1px solid #37373e;
color: white;
color: white
}
}


.wikiEditor-ui-toolbar .group .label {
.wikiEditor-ui-toolbar .group .label {
color: white;
color: white
}
}


.wikiEditor-ui-toolbar .tabs span.tab a.current, .wikiEditor-ui-toolbar .tabs span.tab a.current:visited {
.wikiEditor-ui-toolbar .tabs span.tab a.current,
.wikiEditor-ui-toolbar .tabs span.tab a.current:visited {
color: white;
color: white;
font-weight: bold;
font-weight: bold
}
}


.wikiEditor-ui .wikiEditor-ui-top {
.wikiEditor-ui .wikiEditor-ui-top {
    border-bottom: 1px solid #37373e;
border-bottom: 1px solid #37373e
}
}


.wikiEditor-ui .wikiEditor-ui-view {
.wikiEditor-ui .wikiEditor-ui-view {
border: 1px solid #37373e;
border: 1px solid #37373e
}
}


.editOptions, .mw-editform .editOptions {
.editOptions,
.mw-editform .editOptions {
background: #27272e;
background: #27272e;
border: 1px solid #37373e;
border: 1px solid #37373e;
color: white;
color: white
}
}


@media screen {
@media screen {
.mw-body-content .recipeimg a > img {
.mw-body-content .recipeimg a>img {
padding: 0;
padding: 0;
margin: 0;
margin: 0;
Строка 1344: Строка 1203:
max-width: 32px !important;
max-width: 32px !important;
height: 32px !important;
height: 32px !important;
max-height: 32px !important;
max-height: 32px !important
}
}
}
}
Строка 1350: Строка 1209:
.positive {
.positive {
color: #00FF00;
color: #00FF00;
font-weight: bold;
font-weight: bold
}
}


.negative {
.negative {
color: #FF0000;
color: #FF0000;
font-weight: bold;
font-weight: bold
}
}


.anglerect {
.anglerect {
--angle-rect-clip-size: 16px;
--angle-rect-clip-size: 16px;
clip-path: polygon(0 0,calc(100% - var(--angle-rect-clip-size)) 0,100% var(--angle-rect-clip-size),100% 100%,var(--angle-rect-clip-size) 100%,0 calc(100% - var(--angle-rect-clip-size)));
clip-path: polygon(0 0, calc(100% - var(--angle-rect-clip-size)) 0, 100% var(--angle-rect-clip-size), 100% 100%, var(--angle-rect-clip-size) 100%, 0 calc(100% - var(--angle-rect-clip-size)))
}
}


/* hack for mobile/nomobile */
.flex {
.flex {
display: flex;
display: flex
}
}


@media screen and (min-width:851px) {
@media screen and (min-width:851px) {
.mobile {
.mobile {
display: none;
display: none
}
}
}
}
Строка 1376: Строка 1234:
@media screen and (max-width:850px) {
@media screen and (max-width:850px) {
.nomobile {
.nomobile {
display: none;
display: none
}
}
}
}


img {
.mw-body {
-ms-interpolation-mode: nearest-neighbor;
padding: 0.5em
    image-rendering: -moz-crisp-edges;
    image-rendering: -o-crisp-edges;
    image-rendering: -webkit-optimize-contrast;
    image-rendering: crisp-edges;
}
 
.layered {
position: absolute;
top: 0;
left: 0;
}
}


.blend {
.mw-body dd {
mix-blend-mode: multiply;
margin: 0.2em;
margin-left: 1.6em
}
}